> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an organization

> Returns the full organization document for `orgId`.

The caller must be an `owner` or `member` of the organization; 403 is returned otherwise.



## OpenAPI

````yaml get /organization/{orgId}
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /organization/{orgId}:
    get:
      tags:
        - Organizations
      summary: Retrieve an organization
      description: >-
        Returns the full organization document for `orgId`.


        The caller must be an `owner` or `member` of the organization; 403 is
        returned otherwise.
      operationId: getOrganizationById
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: orgId
          in: path
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      _id:
                        type: string
                      name:
                        type: string
                      description:
                        type: string
                      isPersonal:
                        type: boolean
                        example: false
                      ownerId:
                        type: string
                      members:
                        type: array
                        items:
                          type: object
                          properties:
                            userId:
                              type: string
                            role:
                              type: string
                              enum:
                                - owner
                                - admin
                                - member
                                - editor
                                - viewer
                          required:
                            - userId
                            - role
                      icon:
                        type: object
                        properties:
                          name:
                            type: string
                          color:
                            type: string
                        required:
                          - name
                          - color
                      emoji:
                        type: object
                        properties:
                          emojiStyle:
                            type: string
                          unified:
                            type: string
                        required:
                          - unified
                      createdAt:
                        type: number
                      updatedAt:
                        type: number
                    required:
                      - _id
                      - name
                      - isPersonal
                      - ownerId
                      - members
                      - createdAt
                      - updatedAt
                required:
                  - data
        '400':
          description: 400 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '403':
          description: 403 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '404':
          description: 404 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````